Summary:	Network UPS Tools
Group:		Applications/System
Name:		nut
Version:	2.0.2
Release:	1
License:	GPL
Source0:	http://www.exploits.org/nut/release/%{name}-%{version}.tar.gz
Patch0:		nut-2.0.1-EnGarde-ize-gd-1.diff
Patch1:		nut-2.0.1-powercom-DTR-RTS-fixes-gd-1.diff
Patch2:		nut-2.0.1-EnGarde-ize-gd-2.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prereq:		fileutils /sbin/chkconfig
BuildPrereq:	gd-devel libpng-devel
Requires:	nut-client

%description
These programs are part of a developing project to monitor the assortment
of UPSes that are found out there in the field. Many models have serial
ports of some kind that allow some form of state checking. This
capability has been harnessed where possible to allow for safe shutdowns,
live status tracking on web pages, and more.

%files
  %defattr(0444,root,root,0555)
  %doc COPYING CREDITS CHANGES README docs
  %doc %{_mandir}/man8/*

  %attr(600,upsuser,root)	%config(noreplace) %{_sysconfdir}/ups/upsd.*
  %attr(600,upsuser,root)	%config(noreplace) %{_sysconfdir}/ups/ups.*
  %attr(600,upsuser,root)	%config(noreplace) %{_sysconfdir}/ups/upssched.conf
  %attr(400,upsuser,root)	%config(noreplace) %{_sysconfdir}/ups/upsmon.conf

  %attr(0510,root,upsuser)	%{_sbindir}/*
  %attr(0510,root,upsuser)	%{_bindir}/*

%package client
Group:		Applications/System
Summary:	Network UPS Tools client monitoring utilities
Prereq:		/sbin/chkconfig /usr/sbin/useradd

%description client
This package includes the client utilities that are required to monitor a
ups that the client host has access to, but where the UPS is physically
attached to a different computer on the network.

%files client
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man5/*

  %attr(400,upsuser,admin)	%config(noreplace) %{_sysconfdir}/ups/upsmon.conf
  %dir %attr(750,upsuser,root)	%{_localstatedir}/state/ups

  %attr(700,root,root)		%{_sysconfdir}/init.d/ups
  %attr(0510,root,upsuser)	%{_bindir}/upsc
  %attr(0510,root,upsuser)	%{_bindir}/upscmd
  %attr(0510,root,upsuser)	%{_bindir}/upsrw
  %attr(0510,root,upsuser)	%{_sbindir}/upsmon
  %attr(0510,root,upsuser)	%{_sbindir}/upssched

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
  %configure --with-user=upsuser \
	--with-group=nobody \
	--sysconfdir=%{_sysconfdir}/ups

  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
  install -d $RPM_BUILD_ROOT/%{_localstatedir}/state/ups

  make install DESTDIR=$RPM_BUILD_ROOT

  install packaging/EnGarde/ups.init      $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/ups
  install packaging/EnGarde/ups.sysconfig $RPM_BUILD_ROOT/%{_sysconfdir}/ups

  # rename
  for file in $RPM_BUILD_ROOT/%{_sysconfdir}/ups/*.sample
  do
     mv $file $RPM_BUILD_ROOT/%{_sysconfdir}/ups/`basename $file .sample`
  done

  # Remove unpackaged files.
  rm -f  $RPM_BUILD_ROOT/%{_datadir}/cmdvartab
  rm -f  $RPM_BUILD_ROOT/%{_datadir}/driver.list

%pre client
  if [ "$1" = 1 ]; then
	/usr/sbin/groupadd -r upsuser >/dev/null 2>&1                           || :
	/usr/sbin/useradd -r -s /bin/true -g upsuser -M upsuser >/dev/null 2>&1 || :
  fi

%preun client
  if [ "$1" = "0" ]; then
	/etc/init.d/ups stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del ups            || :
  fi

%postun client
  if [ "$1" -ge "1" ]; then
	/etc/init.d/ups condrestart > /dev/null 2>&1 || :
  elsif [ "$1" = 0 ]; then
	/sbin/chkconfig --del ups             || :
	/usr/sbin/groupdel upsuser >/dev/null || :
	/usr/sbin/userdel  upsuser >/dev/null || :
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 19 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0.2, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
